/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-16
 * 描述            ：化学元素标准索引表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
 ***********************************************************/
package market.Qms.metallurgy.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.metallurgy.mapper.ComMscStdCicMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_STD_CIC", namespace=ComMscStdCicMapper.class)
public class ComMscStdCic extends BaseVO implements Serializable {
	/** 
	 * 成分标准索引号(CICN000001)
	 */ 
	@Id
	private String cic;
	public String  getCic() {
		return this.cic;
	}
	public void setCic(String cic) {
		this.cic = cic;
	}

	/** 
	 * 产品规范码
	 */ 
	@Column
	private String psc;
	public String  getPsc() {
		return this.psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/** 
	 * 冶金规范码
	 */ 
	@Column
	private String msc;
	public String  getMsc() {
		return this.msc;
	}
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/** 
	 * 熔炼成分套数
	 */ 
	@Column
	private Long smelting_cnt;
	public Long  getSmelting_cnt() {
		return this.smelting_cnt;
	}
	public void setSmelting_cnt(Long smelting_cnt) {
		this.smelting_cnt = smelting_cnt;
	}

	/** 
	 * 成品成分套数
	 */ 
	@Column
	private Long product_cnt;
	public Long  getProduct_cnt() {
		return this.product_cnt;
	}
	public void setProduct_cnt(Long product_cnt) {
		this.product_cnt = product_cnt;
	}

	/** 
	 * 成品成分偏差标准号代码
	 */ 
	@Column
	private String std_code;
	public String  getStd_code() {
		return this.std_code;
	}
	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	/** 
	 * 成品成分偏差标准号名称
	 */ 
	@Column
	private String std_name;
	public String  getStd_name() {
		return this.std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	/** 
	 * 标准类型(G:国标(国际),X:协议,K:Alpha,N:内控,S:试验标准,P:成分偏差标准,Q:取样标准,Z:制样标准,T:公差引用标准,C：工艺标准)
	 */ 
	@Column
	private String std_type;
	public String  getStd_type() {
		return this.std_type;
	}
	public void setStd_type(String std_type) {
		this.std_type = std_type;
	}

	/** 
	 * 内控(Alpha)标准代码
	 */ 
	@Column
	private String std_code_nk;
	public String  getStd_code_nk() {
		return this.std_code_nk;
	}
	public void setStd_code_nk(String std_code_nk) {
		this.std_code_nk = std_code_nk;
	}

	/** 
	 * 内控(Alpha)标准名称
	 */ 
	@Column
	private String std_name_nk;
	public String  getStd_name_nk() {
		return this.std_name_nk;
	}
	public void setStd_name_nk(String std_name_nk) {
		this.std_name_nk = std_name_nk;
	}

	/** 
	 * 适用工序代码(内控用)
	 */ 
	@Column
	private String process_code;
	public String  getProcess_code() {
		return this.process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}

	/** 
	 * 适用工序名称(内控用)
	 */ 
	@Column
	private String process_desc;
	public String  getProcess_desc() {
		return this.process_desc;
	}
	public void setProcess_desc(String process_desc) {
		this.process_desc = process_desc;
	}

	/** 
	 * 适用钢种代码集合(内控用)
	 */ 
	@Column
	private String grade_code;
	public String  getGrade_code() {
		return this.grade_code;
	}
	public void setGrade_code(String grade_code) {
		this.grade_code = grade_code;
	}

	/** 
	 * 适用钢种名称集合(内控用)
	 */ 
	@Column
	private String grade_name;
	public String  getGrade_name() {
		return this.grade_name;
	}
	public void setGrade_name(String grade_name) {
		this.grade_name = grade_name;
	}

	/** 
	 * 客户编码（内控）
	 */ 
	@Column
	private String customer_code;
	public String  getCustomer_code() {
		return this.customer_code;
	}
	public void setCustomer_code(String customer_code) {
		this.customer_code = customer_code;
	}

	/** 
	 * 客户名称（内控）
	 */ 
	@Column
	private String customer_name;
	public String  getCustomer_name() {
		return this.customer_name;
	}
	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}

	/** 
	 * 产品名称集合（内控）
	 */ 
	@Column
	private String prod_code_nk;
	public String  getProd_code_nk() {
		return this.prod_code_nk;
	}
	public void setProd_code_nk(String prod_code_nk) {
		this.prod_code_nk = prod_code_nk;
	}

	/** 
	 * 产品名称集合（内控）
	 */ 
	@Column
	private String prod_name_nk;
	public String  getProd_name_nk() {
		return this.prod_name_nk;
	}
	public void setProd_name_nk(String prod_name_nk) {
		this.prod_name_nk = prod_name_nk;
	}

	/** 
	 * 钢级/牌号代码集合（内控）
	 */ 
	@Column
	private String steel_code_nk;
	public String  getSteel_code_nk() {
		return this.steel_code_nk;
	}
	public void setSteel_code_nk(String steel_code_nk) {
		this.steel_code_nk = steel_code_nk;
	}

	/** 
	 * 钢级/牌号名称集合（内控）
	 */ 
	@Column
	private String steel_name_nk;
	public String  getSteel_name_nk() {
		return this.steel_name_nk;
	}
	public void setSteel_name_nk(String steel_name_nk) {
		this.steel_name_nk = steel_name_nk;
	}

	/** 
	 * 交货状态代码集合(多个交货状态中间用" ,"进行隔离)
	 */ 
	@Column
	private String delivery_state_code;
	public String  getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 交货状态描述集合(多个交货状态中间用" ,"进行隔离)
	 */ 
	@Column
	private String delivery_state_desc;
	public String  getDelivery_state_desc() {
		return this.delivery_state_desc;
	}
	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}

	/** 
	 * 扣型代码集合（内控用）
	 */ 
	@Column
	private String model_code_nk;
	public String  getModel_code_nk() {
		return this.model_code_nk;
	}
	public void setModel_code_nk(String model_code_nk) {
		this.model_code_nk = model_code_nk;
	}

	/** 
	 * 扣型名称集合（内控用）
	 */ 
	@Column
	private String model_desc_nk;
	public String  getModel_desc_nk() {
		return this.model_desc_nk;
	}
	public void setModel_desc_nk(String model_desc_nk) {
		this.model_desc_nk = model_desc_nk;
	}

	/** 
	 * 扣型集合代码
	 */ 
	@Column
	private String model_code;
	public String  getModel_code() {
		return this.model_code;
	}
	public void setModel_code(String model_code) {
		this.model_code = model_code;
	}

	/** 
	 * 扣型集合描述
	 */ 
	@Column
	private String model_desc;
	public String  getModel_desc() {
		return this.model_desc;
	}
	public void setModel_desc(String model_desc) {
		this.model_desc = model_desc;
	}

	/** 
	 * 产品大类(4049)
	 */ 
	@Column
	private String prod_line;
	public String  getProd_line() {
		return this.prod_line;
	}
	public void setProd_line(String prod_line) {
		this.prod_line = prod_line;
	}

	/** 
	 * 接箍码(冶金规范码下面接箍码维护交货标准时用)
	 */ 
	@Column
	private String code_jg;
	public String  getCode_jg() {
		return this.code_jg;
	}
	public void setCode_jg(String code_jg) {
		this.code_jg = code_jg;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(3:已审核，2:提交审核，1:录入状态，0:无效)
	 */ 
	@Column
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	private Integer count;
	public Integer getCount() {
		return count;
	}
	public void setCount(Integer count) {
		this.count = count;
	}
}
